Subject: bug#62009: 29.0.60; Emacs crashes on setf symbol-name

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Mar 2023 09:47:11 +0200

> From: Po Lu <[email-masked]>
> Cc: Gregory Heytings <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Sat, 11 Mar 2023 15:07:05 +0800
> 
> > No, we will NOT increase GC pressure in Emacs just because someone
> > could do a silly and nonsensical thing.  No way.
> 
> Can't we make puresize.h check (in addition to whether or not the string
> is in pure space) whether or not the string lies in read-only segments
> of the executable?
> 
> Or maybe put all of string data of DEFSYM'd symbols in pure space, since
> Faset already checks that the string is not in pure space.

Let me remind us all that we intend to toss pure space soon.  So let's
not build any new features on what pure space means and does,
certainly not for such marginal use cases.  We don't want to take upon
ourselves any jobs that might prove difficult to keep doing when some
of the underlying infrastructure changes, because it would be
ridiculous to have this little tail wag the Emacs dog when the time
comes.